Bug 15123 - Acquisition: Better context for "Transferred from..." to avoid ambiguity in translation
Summary: Acquisition: Better context for "Transferred from..." to avoid ambiguity in t...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-04 10:03 UTC by Marc Véron
Modified: 2017-06-14 22:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Wrong translation of "Transferred" in basket (117.07 KB, image/png)
2015-11-04 10:03 UTC, Marc Véron
Details
Bug 15123: Acquisition: Better context for "Transferred from..." to avoid ambiguity in translation (2.81 KB, patch)
2015-11-04 10:11 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 15123: Acquisition: Better context for "Transferred from..." to avoid ambiguity in translation (2.91 KB, patch)
2015-11-05 02:42 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 15123: Acquisition: Better context for "Transferred from..." to avoid ambiguity in translation (2.97 KB, patch)
2015-11-05 07:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-11-04 10:03:12 UTC
Created attachment 44356 [details]
Wrong translation of "Transferred" in basket

In German, the word "Transfer" can be translated to "Transfer" or "Transport". Transfer would be used e.g. for transferring an order, transport is for transportation of e.g. books.

This ambiguity leads to a wrong translation for transferred orders in 
Home > Acquisitions > [a vendor ] > [a basket]
e.g. /cgi-bin/koha/acqui/basket.pl?basketno=14

See screenshot attached.

The reason is that the word "Basket" is detached from  the string "Transferred to" by the <a> tag.
Comment 1 Marc Véron 2015-11-04 10:11:49 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2015-11-05 02:42:20 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-11-05 07:05:04 UTC
Created attachment 44456 [details] [review]
[PASSED QA] Bug 15123: Acquisition: Better context for "Transferred from..." to avoid ambiguity in translation

This patch moves the word "basket" out of the <a> tags to have a better context for translation.

To test:
- Transfer an order from one basket to another basket
- Verify that "basket" is detached from the strings "Transferred to" rsp
  "Transferred from" by th <a> tag (See screenshot)
- Apply patch
- Verify that the word "basket" is now otuside the <a> tags

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised. Tested with es-ES

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-11-05 12:55:34 UTC
Patch pushed to master.

Thansk Marc!
Comment 5 Frédéric Demians 2015-11-29 20:20:54 UTC
This patch has been pushed to 3.20.x, will be in 3.20.6.